#!/bin/bash

## Script location folder
_script="$(readlink -f ${BASH_SOURCE[0]})"
_base="$(dirname $_script)"

#Packages
pks="root-tail xdm"

echo "Installing required packages if missed"
dpkg-query -l $pks
if [ "$?" != "0" ]
  then apt-get update && apt-get -y install $pks
fi

exit 0

echo "Backuping current XDM configuration files"
cd /etc/X11/xdm
for i in Xsetup Xresources Xstartup
  do
	mv $i{,.ORIG-`date +%Y%m%d%H%M%S`}
done

cd $_base

echo "Installing configuration files"
mv Xsetup Xresources Xstartup  /etc/X11/xdm
mv *xpm /usr/share/X11/xdm/pixmaps/


echo "Restarting XDM - press any key to continue or CTRL+C to interrupt"
read $var
/etc/init.d/xdm restart && tail /var/log/xdm.log

echo "Done."
